Tools
List code-owned platform tools with their default policy
GET /v1/tools · SDK listTools · CLI deployments tool list
GET
Requires tools:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100providerKey?stringOnly tools bound to this provider key.
Length
1 <= length <= 128prefix?stringOnly tools whose name starts with this prefix.
Length
1 <= length <= 128status?stringCatalog status; defaults to active.
Value in
"active""archived""all"search?stringCase-insensitive substring of the tool name or description.
Length
1 <= length <= 100x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListToolsResponse
application/json- response
items*array<>nextCursor*string|nullcurl -X GET "https://example.com/v1/tools" \ -H "x-deployments-environment: string"{ "items": [ { "approvalRequired": true, "category": "string", "defaultPolicyAction": "allow", "description": "string", "effect": "execute", "name": "string", "policyBinding": "catalog", "providerKey": "string", "requiredScopes": [ "string" ], "route": "string", "status": "active" } ], "nextCursor": "string"}